Redmine - Defect #12741

wiki syntax help link is shows as plain text
2013-01-04 17:55 - Terence Mill

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 2.2.0
Description

The new link implementation in jstoolbar came with r1190. Now i see the <a hre link plaintext instead of a link button.

History

#1 - 2013-01-04 18:07 - Terence Mill

| copied out the html content block with the erro prone code

<p><input name="commit" type="submit" value="Speichern">

<a accesskey="r" href="#" onclick="submitPreview (%$22/projects/sas/wiki/2012_Aprilrelease/preview%22, %$22wik
i_form%22, %22preview%22); return false;">Vorschau</a></p>
<script type="text/javascript">
//&1t; ! [CDATA[
var wikiToolbar = new jsToolBar (document.getElementById('content_text')); wikiToolbar.setHelpLink ('&lt;a href=
\"/help/wiki_syntax.html\" onclick=\"window.open (&amp;quot; /help/wiki_syntax.html&amp;quot;, &amp;quot;&amp;qu
ot;, &amp;quot;resizable=yes, location=no, width=300, height=640, menubar=no, status=no, scrollbars=yes&amp;du
ot;); return false;\"&gt;Textformatierung&lt;\/a&gt;"'); wikiToolbar.draw();
//11&gt;
</script>
</form>

#2 - 2013-01-08 19:09 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Works for me. Are you using any plugin for text formatting?

#3 - 2015-10-02 02:16 - Go MAEDA

- Status changed from New to Closed

Probably there is a plugin because a emoticon icon can be seen on the screenshot. Maybe the problem was caused by the plugin.
Closing.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1190
http://www.tcpdf.org

